1 Reply Latest reply: Feb 8, 2013 9:35 AM by Kappy
JackoJack1982 Level 1 Level 1 (0 points)

Is there a way to install snow leopard 10.6.3 on an iMAC G5 with 10.5.8 Leopard?


iMac, iOS 5, It's 10.5.8 Leopard